メインコンテンツへスキップ
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
workspace
/
{workspaceId}
/
accounts
/
custom
Create, update and delete custom workspace SaaS accounts data
curl --request POST \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspace/{workspaceId}/accounts/custom \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "create": [
    {
      "email": "test@example.com",
      "displayName": "<string>",
      "userName": "<string>",
      "roles": [
        "<string>"
      ],
      "licenses": [
        "<string>"
      ],
      "twoFa": true
    }
  ],
  "update": [
    {
      "email": "test@example.com",
      "displayName": "<string>",
      "userName": "<string>",
      "roles": [
        "<string>"
      ],
      "licenses": [
        "<string>"
      ],
      "twoFa": true
    }
  ],
  "delete": [
    {
      "email": "test@example.com",
      "displayName": "<string>",
      "userName": "<string>",
      "roles": [
        "<string>"
      ],
      "licenses": [
        "<string>"
      ],
      "twoFa": true
    }
  ]
}
'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspace/{workspaceId}/accounts/custom"

payload = {
"create": [
{
"email": "test@example.com",
"displayName": "<string>",
"userName": "<string>",
"roles": ["<string>"],
"licenses": ["<string>"],
"twoFa": True
}
],
"update": [
{
"email": "test@example.com",
"displayName": "<string>",
"userName": "<string>",
"roles": ["<string>"],
"licenses": ["<string>"],
"twoFa": True
}
],
"delete": [
{
"email": "test@example.com",
"displayName": "<string>",
"userName": "<string>",
"roles": ["<string>"],
"licenses": ["<string>"],
"twoFa": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
create: [
{
email: 'test@example.com',
displayName: '<string>',
userName: '<string>',
roles: ['<string>'],
licenses: ['<string>'],
twoFa: true
}
],
update: [
{
email: 'test@example.com',
displayName: '<string>',
userName: '<string>',
roles: ['<string>'],
licenses: ['<string>'],
twoFa: true
}
],
delete: [
{
email: 'test@example.com',
displayName: '<string>',
userName: '<string>',
roles: ['<string>'],
licenses: ['<string>'],
twoFa: true
}
]
})
};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspace/{workspaceId}/accounts/custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
workspaceId
number
必須

ボディ

application/json
create
object[]
必須
update
object[]
必須
delete
object[]
必須

レスポンス

200 - application/json

The response is of type object.

最終更新日 2026年7月10日